- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DInput
- QInputAspect
- Qt 6.5.1 Reference Documentation

# QInputAspect Class

class Qt3DInput::QInputAspect

Responsible for creating physical devices and handling associated jobs. More...

Header: | #include <QInputAspect>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dinput) target_link_libraries(mytarget PRIVATE Qt6::3dinput)
qmake: | QT += 3dinput
Inherits: | Qt3DCore::QAbstractAspect

- List of all members, including inherited members

## Public Functions

| QInputAspect(QObject *parent = nullptr)
QStringList | availablePhysicalDevices() const
Qt3DInput::QAbstractPhysicalDevice * | createPhysicalDevice(const QString &name)

## Detailed Description

QInputAspect is responsible for creating physical devices. It is also the object responsible establishing the jobs to run at a particular time from the current input setup.

## Member Function Documentation

### `[explicit]` QInputAspect::QInputAspect(QObject *parent = nullptr)

Constructs a new QInputAspect with parent.

### QStringList QInputAspect::availablePhysicalDevices() const

Returns a list of all available physical devices.

### Qt3DInput::QAbstractPhysicalDevice *QInputAspect::createPhysicalDevice(const QString &name)

Create a physical device identified by name using the input device integrations present returns a `nullptr` if it is not found.

Note: Caller is responsible for ownership.